> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get refund detail

> Get the refund detail.



## OpenAPI

````yaml get /v1/refund/{refund_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/refund/{refund_id}:
    get:
      summary: Get Refund Details
      description: Get the refund detail.
      operationId: get-refund
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: refund_id
          in: path
          description: The refund id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: a1feb98d-f31d-4378-9382-1a373853f7eb
                    refunded_by: null
                    payment_id: a1feb5cb-fff3-4cd7-a5a1-a4e91307353d
                    amount_refunded: 10
                    total_amount: 110
                    currency: sgd
                    status: succeeded
                    payment_method: card
                    provider_fee: null
                    provider_fee_currency: null
                    refunded_at: '2026-06-11T05:01:08.000000Z'
                    created_at: '2026-06-11T05:01:08.000000Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: a1feb98d-f31d-4378-9382-1a373853f7eb
                  refunded_by:
                    type: string
                    nullable: true
                    example: null
                  payment_id:
                    type: string
                    format: uuid
                    example: a1feb5cb-fff3-4cd7-a5a1-a4e91307353d
                  amount_refunded:
                    type: number
                    example: 10
                  total_amount:
                    type: number
                    example: 110
                  currency:
                    type: string
                    example: sgd
                  status:
                    type: string
                    example: succeeded
                  payment_method:
                    type: string
                    example: card
                  provider_fee:
                    type: number
                    nullable: true
                    example: null
                  provider_fee_currency:
                    type: string
                    nullable: true
                    example: null
                  refunded_at:
                    type: string
                    format: date-time
                    example: '2026-06-11T05:01:08.000000Z'
                  created_at:
                    type: string
                    format: date-time
                    example: '2026-06-11T05:01:08.000000Z'
      deprecated: false
      security: []

````